Update Default Availability Schedule
Update the user’s default availability schedule, including weekly working hours, time zone, and date-specific overrides.
curl --request PATCH \
--url https://api.zeeg.me/v2/schedules/default \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "lena.meier@horizondigital.de"
}
'{
"success": true,
"status": 200,
"resource": {
"uri": "https://api.zeeg.me/v2/schedules/Q1ZYo391da",
"uuid": "Q1ZYo391da",
"email": "lena.meier@horizondigital.de",
"title": "Working Hours",
"isDefault": true,
"timezone": "Europe/Berlin",
"weeklyHours": [
{
"day": "Mon",
"timesets": [
[
"09:00",
"12:00"
],
[
"13:00",
"17:00"
]
]
},
{
"day": "Tue",
"timesets": [
[
"09:00",
"17:00"
]
]
},
{
"day": "Wed",
"timesets": [
[
"09:00",
"17:00"
]
]
},
{
"day": "Thu",
"timesets": [
[
"09:00",
"17:00"
]
]
},
{
"day": "Fri",
"timesets": [
[
"09:00",
"15:00"
]
]
},
{
"day": "Sat",
"timesets": []
},
{
"day": "Sun",
"timesets": []
}
],
"specialHours": [
{
"date": "2026-04-21",
"timesets": [
[
"10:00",
"14:00"
]
]
},
{
"date": "2026-04-25",
"timesets": []
}
],
"timeOff": [
{
"uuid": "3f2504e0-4f89-41d3-9a0c-0305e82c3301",
"uri": "https://api.zeeg.me/v2/time-off/3f2504e0-4f89-41d3-9a0c-0305e82c3301",
"type": "vacation",
"title": "Summer break",
"startDate": "2026-08-01",
"endDate": "2026-08-15",
"startHalfDay": false,
"endHalfDay": true,
"startHalfDayCutoff": null,
"endHalfDayCutoff": "13:00",
"note": null
}
],
"currentTime": "2026-04-10T08:30:00+02:00",
"createdAt": "2026-04-01T10:00:00.000000Z",
"updatedAt": "2026-04-10T08:30:00.000000Z"
}
}{
"message": "Unauthenticated."
}{
"error": {
"type": "insufficient_scope",
"message": "Your token is missing the required scope: schedules:write.",
"error_id": "c51fecff-4ed2-4252-95ee-68efa06bc340",
"required_scopes": [
"schedules:write"
]
}
}{
"message": "The timezone must be a valid timezone.",
"errors": {
"timezone": [
"The timezone must be a valid timezone."
]
}
}Authorizations
Body
Email address of the user whose default schedule to update.
IANA timezone identifier. Set to null to keep the current timezone.
"Europe/Berlin"
Weekly availability hours.
Date-specific availability overrides.
Hide child attributes
Hide child attributes
Response
OK
Hide child attributes
Hide child attributes
API resource URI for this schedule
Email address of the schedule owner
Display name of the schedule
Whether this is the default schedule
IANA timezone identifier
User-level time-off periods (vacation, out-of-office) that apply across all of the user's scheduling pages. Only future periods are returned, ordered by start date. Half-day flags indicate the first/last day of the period is partial.
Hide child attributes
Hide child attributes
Canonical URL of the time-off period.
vacation, out_of_office Half-day cutoff (HH:MM), null when startHalfDay is false.
Half-day cutoff (HH:MM), null when endHalfDay is false.
Current server time
Timestamp of creation
Timestamp of last update
curl --request PATCH \
--url https://api.zeeg.me/v2/schedules/default \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "lena.meier@horizondigital.de"
}
'{
"success": true,
"status": 200,
"resource": {
"uri": "https://api.zeeg.me/v2/schedules/Q1ZYo391da",
"uuid": "Q1ZYo391da",
"email": "lena.meier@horizondigital.de",
"title": "Working Hours",
"isDefault": true,
"timezone": "Europe/Berlin",
"weeklyHours": [
{
"day": "Mon",
"timesets": [
[
"09:00",
"12:00"
],
[
"13:00",
"17:00"
]
]
},
{
"day": "Tue",
"timesets": [
[
"09:00",
"17:00"
]
]
},
{
"day": "Wed",
"timesets": [
[
"09:00",
"17:00"
]
]
},
{
"day": "Thu",
"timesets": [
[
"09:00",
"17:00"
]
]
},
{
"day": "Fri",
"timesets": [
[
"09:00",
"15:00"
]
]
},
{
"day": "Sat",
"timesets": []
},
{
"day": "Sun",
"timesets": []
}
],
"specialHours": [
{
"date": "2026-04-21",
"timesets": [
[
"10:00",
"14:00"
]
]
},
{
"date": "2026-04-25",
"timesets": []
}
],
"timeOff": [
{
"uuid": "3f2504e0-4f89-41d3-9a0c-0305e82c3301",
"uri": "https://api.zeeg.me/v2/time-off/3f2504e0-4f89-41d3-9a0c-0305e82c3301",
"type": "vacation",
"title": "Summer break",
"startDate": "2026-08-01",
"endDate": "2026-08-15",
"startHalfDay": false,
"endHalfDay": true,
"startHalfDayCutoff": null,
"endHalfDayCutoff": "13:00",
"note": null
}
],
"currentTime": "2026-04-10T08:30:00+02:00",
"createdAt": "2026-04-01T10:00:00.000000Z",
"updatedAt": "2026-04-10T08:30:00.000000Z"
}
}{
"message": "Unauthenticated."
}{
"error": {
"type": "insufficient_scope",
"message": "Your token is missing the required scope: schedules:write.",
"error_id": "c51fecff-4ed2-4252-95ee-68efa06bc340",
"required_scopes": [
"schedules:write"
]
}
}{
"message": "The timezone must be a valid timezone.",
"errors": {
"timezone": [
"The timezone must be a valid timezone."
]
}
}